package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.ResourceMeUserPO;
import mhp.oee.po.gen.ResourceMeUserPOExample;

public interface ResourceMeUserPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_me_user
     *
     * @mbggenerated
     */
    int countByExample(ResourceMeUserPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_me_user
     *
     * @mbggenerated
     */
    int deleteByExample(ResourceMeUserPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_me_user
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_me_user
     *
     * @mbggenerated
     */
    int insert(ResourceMeUserPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_me_user
     *
     * @mbggenerated
     */
    int insertSelective(ResourceMeUserPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_me_user
     *
     * @mbggenerated
     */
    List<ResourceMeUserPO> selectByExample(ResourceMeUserPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_me_user
     *
     * @mbggenerated
     */
    ResourceMeUserPO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_me_user
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ResourceMeUserPO record, @Param("example") ResourceMeUserPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_me_user
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ResourceMeUserPO record, @Param("example") ResourceMeUserPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_me_user
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(ResourceMeUserPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_me_user
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(ResourceMeUserPO record);
}